export declare function buildConditionExpression(params: ConditionExpressionParams): ConditionExpressionInfo;
export declare type ConditionExpressionInfo = {
    expression: string;
    names: {
        [key: string]: string;
    };
    values: {
        [key: string]: any;
    };
};
export interface ConditionExpressionParams {
    operation: '=' | '<>';
    hashKey: ConditionExpressionKey;
    rangeKey?: ConditionExpressionKey;
}
export declare type ConditionExpressionKey = {
    name: string;
    value: string | number;
};
