export declare function formatExpressionAttributeValueKey(name: string): string;
export declare function formatExpressionAttributeNameKeys(name: string, expressionNames: ExpressionNames): string;
export declare function setExpressionNameValue(values: ExpressionValues, name: string, value: any): string;
export declare function buildProjectionExpression(attributes: string[], names?: ExpressionNames): ProjectionExpression;
export declare type ExpressionNamesValues = {
    names: ExpressionNames;
    values: ExpressionValues;
};
export declare type ExpressionNames = {
    [key: string]: string;
};
export declare type ExpressionValues = {
    [key: string]: any;
};
export declare type ProjectionExpression = {
    expression: string;
    names: ExpressionNames;
};
