"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isStringOrNumber(data) {
    return ['string', 'number'].includes(typeof data);
}
exports.isStringOrNumber = isStringOrNumber;
function uniqByProperty(items, prop) {
    const map = {};
    const list = [];
    for (let item of items) {
        if (map[item[prop]] === undefined) {
            map[item[prop]] = 1;
            list.push(item);
        }
    }
    return list;
}
exports.uniqByProperty = uniqByProperty;
