export declare type Key = {
    [key: string]: string | number;
};
export declare type KeyParam = string | number | Key;
export declare function getHashKey(key: KeyParam, keyName: string): string | number;
export declare function getRangeKey(key: KeyParam, keyName: string): string | number;
export declare function getKeyFromItem<KEY extends object>(item: any, hashKeyName: string, rangeKeyName?: string): KEY;
